Radeon HD6870 DirectCU 1 GB GDDR5

Dannie
  8 years ago
  Asus (Video card)
  Mint (older version)
  Works fine with some minor problems
What works:

It works great with Mint. But I needed to install the drivers from AMD's homepage. The FGLRX drivers from "Additional drivers" in Mint didn't work.

Additional notes:

I wrote a post on my blog about my installation of the video card and getting it to work in Linux Mint 10: http://danielj.se/2011/05/06/black-screen-after-installing-fglrx-in-linux-mint/